qdel(1B)

NAME
qdel - delete pbs batch job

SYNOPSIS
qdel [-a] [-c] [-m message] [-p] [-t array_range] [-W delay] job_identifier...

DESCRIPTION
The qdel command deletes jobs in the order in which their job identifiers are presented to the command. A job is deleted by sending a Delete Job batch request to the batch server that owns the job. A job that has been deleted is no longer subject to management by batch services.

A batch job may be deleted by its owner, the batch operator, or the batch administrator.

A batch job being deleted by a server will be sent a SIGTERM signal following by a SIGKILL signal. The time delay between the two signals is an attribute of the execution queue from which the job was run (settable by the administrator). This delay may be overridden by the option.

See the PBS ERS section 3.1.3.3, "Delete Job Request", for more information.

OPTIONS

-W delay
    Specify the delay between the sending of the SIGTERM and SIGKILL signals. The argument specifies a unsigned integer number of seconds.

-a  Request the job(s) be deleted asynchronously, which for a Running job means that the reply will return before the MOM is requested to delete the job. Note -- due to limitations on a single-threaded server, qdel -a all and qdel all are the same

-c  Clean up unreported jobs from the server. This should only be used if the scheduler is unable to purge unreported jobs. This option is only available to a batch operator or the batch administrator.

-p  Forcibly purge the job from the server. This should only be used if a running job will not exit because its allocated nodes are unreachable. The admin should make every attempt at resolving the problem on the nodes. If a job's mother superior recovers after purging the job, any epilogue scripts may still run. This option is only available to a batch operator or the batch administrator.

-m message
    Specify a comment to be included in the email. The argument specifies the comment to send. This option is only available to a batch operator or the batch administrator.

-t array_range
    The array_range argument is an integer id or a range of integers. Multiple ids or id ranges can be combined in a comma delimted list. Examples: -t 1-100 or -t 1,10,50-100

    If an array range isn't specified, the command tries to operate on the entire array. The command acts on the array (or specified range of the array) just as it would on an individual job.

OPERANDS
The qdel command accepts one or more operands of the form:
or

STANDARD ERROR
The qdel command will write a diagnostic messages to standard error for each error occurrence.

EXIT STATUS
Upon successful processing of all the operands presented to the qdel command, the exit status will be a value of zero.

If the qdel command fails to process any operand, the command exits with a value greater than zero.

SEE ALSO
qsub(1B), qsig(1B), and pbs_deljob(3B)